<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos - Tela de login";
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
//echo(" Operador: $nomeOperador<br>");

switch ($tela):

    case 'listar':
        echo '<h2>Cadastro de tolerancias de germinacao- Tab 18.9 RAS</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "sScrollX": "300px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Média</th><th>4x100</th><th>3x100</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new toleranciaGerminacao();
				$user->extras_select = "   ";// ele ordena sozinho
                $user->selecionaTudo($user);
                $contador=0;
                while ($res = $user->retornaDados()):
		  			$tolerancia4x100=$res->dif4x100;
					$tolerancia3x100=$res->dif3x100;
					$germ=$res->germ;
		            $contador++;           
				    echo '<tr>';
		            printf('<td>%s',$germ);
		            printf('
					<!--<a href="?m=toleranciasGerminacao&t=incluir" title="Novo cadastro"><img src="images/add.png" alt="Novo cadastro" /></a>-->
					<a href="?m=toleranciasGerminacao&t=editar&id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a>
					
					</td>',$germ);
		            printf('<td>%s</td>',$tolerancia4x100);
		            printf('<td>%s</td>',$tolerancia3x100);
		            echo '</tr>';

                endwhile;  


                ?>
            </tbody>
        </table>
		     <!-- SE NAO TEM CLIENTE ALGUM ELE DEVE PODER INSERIR O PRIMEIRO, POIS NAO TEM O SINAL DE + E NAO TEM COMO INSERIR O PRIMEIRO ISSO ABRE UMA FORMA MAS SO APARECE SE NAO TEM NENHUM   -->
             <?php if($contador==0):?>	
		        <form class="userform" method="post" action="">
                <fieldset>
                    <ul>
                    <li class="center">	<input type="button" onclick="location.href='?m=toleranciasGerminacao&t=incluir'" value="Incluir o primeiro" /></li>
                    </ul>
                </fieldset>
            </form>
			<?php endif; ?>

        <?php        
    break;

    case 'incluir':
	    $duplicado = FALSE;
        echo '<h2>Cadastro de toleranciasGerminacao</h2>';
        if (post('bt_cadastrar') !== ""):
            $user = new toleranciaGerminacao(array(
                'dif3x100'=>post('dif3x100'),
                'dif4x100'=>post('dif4x100'),
            ));
            //aqui confere para ver se ja tem o con_dif4x100_comum mas poderia testar outras coisas para evitar 
			//duplicação mas pode ter duplicado pois 2 lab s podem analisar par ao memso remetente
            if ($user->existeRegistro('dif4x100',post('dif4x100'))):
               // printMSG('Este dif3x100 já está cadastrado, escolha outro endereço.','erro');
                //$duplicado = TRUE;
            endif;
			//echo("duplicado = $duplicado <br>");
            if ($duplicado!=TRUE):
                 $user->inserir($user);
                 $jaco=$user->linhasafetadas;//aqui ele ja me traz o id do cliente. pode ser que eu va precisar isso!!!!
			     //echo("duplicado = $duplicado  jaco=$jaco <br>");
                if ($user->linhasafetadas>0):
                    printMSG('Dados inseridos com sucesso. <a href="'.ADMURL.'?m=toleranciasGerminacao&t=listar">Exibir cadastros</a>');
                    unset($_POST);
                endif;
            endif;            
        endif;
        ?>
        <script type="text/javascript">
           $(document).ready(function(){
               $(".userform").validate({
                   rules:{
                       dif4x100:{required:true, minlength:3},
                       dif3x100:{required:true, dif3x100:true},
                       login:{required:true, minlength:5},
                   }
               });
           });
       </script>
        <form class="userform" method="post" action="">
            <fieldset>
                <legend>Informe os dados para cadastro</legend>
                <ul>
                      <ul>
                    <li>4x100:<input type="text" size="50" name="dif4x100" maxlength="60"    autofocus="autofocus" value="<?php if($resbd) echo $resbd->dif4x100; ?>" />
				    <li>3x100:<input type="text" size="40" name="dif3x100" maxlength="80"  value="<?php if($resbd) echo $resbd->dif3x100; ?>" />

                    <li class="center">
					<input type="button" onclick="location.href='?m=toleranciasGerminacao&t=listar'" value="Cancelar" />
					<input type="submit" name="bt_cadastrar" value="Salvar dados" />
					</li>
                </ul>
            </fieldset>
        </form>
        <?php
        break;



    case 'editar':
        echo '<h2>Edição de tolerancias de Germinacao tab RAS 18.9</h2>';
        $sessao = new sessao();
        if (isAdmin()==TRUE || $sessao->getVar('iduser')==get('id')):
            if (get('id') !== ""):
                $id = get('id');
                if (post('bt_editar1') !== ""):
                    $user = new toleranciaGerminacao(array(
                        'dif4x100'=>post('dif4x100').' ',
                        'dif3x100'=>post('dif3x100').' ',
                    ));
                    $user->valorpk = $id;
                    $user->extras_select = "WHERE germ=$id";
                    $user->selecionaTudo($user);
                    $res = $user->retornaDados();
                    if ($res->dif3x100 != post('dif3x100')):
                        if ($user->existeRegistro('dif3x100',post('dif3x100'))):
                           // printMSG('Este dif3x100 já existe no sistema, escolha outro endereço!','erro');
                           // $duplicado = TRUE;
                        endif;
                    endif;
                    if ($duplicado!=TRUE):
                        $user->atualizar($user);
                        if ($user->linhasafetadas==1):
                            printMSG('Dados alterados com sucesso. <a href="?m=toleranciasGerminacao&t=listar">Exibir cadastros</a>');
                            unset($_POST);
                        else:
                            printMSG('Nenhum dado foi alterado. <a href="?m=toleranciasGerminacao&t=listar">Exibir cadastros</a>','alerta');
                        endif;
                    endif;                    
                endif;
                $userbd = new toleranciaGerminacao();
                $userbd->extras_select = "WHERE germ=$id";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
            else:
                printMSG('valor não definido, <a href="?m=toleranciasGerminacao&t=listar">escolha uma media de germinacao para alterar</a>','erro');
            endif;
			
			
			
			
            ?>
            <script type="text/javascript">
               $(document).ready(function(){
                   $(".userform").validate({
                       rules:{
                           dif4x100:{required:true, minlength:3},
                           dif3x100:{required:true, dif3x100:true},
                       }
                   });
               });
           </script>
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Informe os dados para alteração. Germinacao media= <?php echo $id;?>%</legend>
                    <ul>
	
				    <td>4x100:</td>
					<td>3x100x</td>
					<li>
					<td><input type="text" size="1"  maxlength="2" name="dif4x100" value="<?php if($resbd) echo $resbd->dif4x100; ?>" /></td>
				    <td><input type="text" size="1"  maxlength="2" name="dif3x100" value="<?php if($resbd) echo $resbd->dif3x100; ?>" /></td>
                    </li>




                    <li class="center">
					<input type="button" onclick="location.href='?m=toleranciasGerminacao&t=listar'" value="Cancelar" />
					<input type="submit" name="bt_editar1" value="Salvar Alterações" /></li>
                    </ul>
                </fieldset>
            </form>
        <?php
        else:
            printMSG('Você não tem permissão para acessar esta página. <a href="#" onclick="history.back()">Voltar</a>','erro');
        endif;
    break;

 



 
	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>